[med-svn] [gxargparse] 02/11: initial debian packaging

Andreas Tille tille at debian.org
Sat Jan 14 11:34:51 UTC 2017


This is an automated email from the git hooks/post-receive script.

tille pushed a commit to branch master
in repository gxargparse.

commit 23bfa136c7ac3f58ab8aba6f004ec7b73cc18358
Author: Anton Khodak <anton.khodak at ukr.net>
Date:   Sat Jan 14 11:31:07 2017 +0200

    initial debian packaging
---
 debian/changelog         |  5 +++++
 debian/compat            |  1 +
 debian/control           | 25 ++++++++++++++++++++++
 debian/copyright         | 11 ++++++++++
 debian/doc-base          | 20 ++++++++++++++++++
 debian/get-orig-source   | 55 ++++++++++++++++++++++++++++++++++++++++++++++++
 debian/rules             | 26 +++++++++++++++++++++++
 debian/source/format     |  1 +
 debian/upstream/metadata | 12 +++++++++++
 debian/watch             |  3 +++
 10 files changed, 159 insertions(+)

diff --git a/debian/changelog b/debian/changelog
new file mode 100644
index 0000000..19b5753
--- /dev/null
+++ b/debian/changelog
@@ -0,0 +1,5 @@
+gxargparse (0.3.1-1) UNRELEASED; urgency=medium
+
+  * Initial release (Closes: #<bug>)
+
+ -- Anton Khodak <anton.khodak at ukr.net>  Sat, 14 Jan 2017 10:49:57 +0200
diff --git a/debian/compat b/debian/compat
new file mode 100644
index 0000000..f599e28
--- /dev/null
+++ b/debian/compat
@@ -0,0 +1 @@
+10
diff --git a/debian/control b/debian/control
new file mode 100644
index 0000000..d54a589
--- /dev/null
+++ b/debian/control
@@ -0,0 +1,25 @@
+Source: gxargparse
+Maintainer: Debian Med Packaging Team <debian-med-packaging at lists.alioth.debian.org>
+Uploaders: Anton Khodak <anton.khodak at ukr.net>
+Section: science
+Priority: optional
+Build-Depends: debhelper (>= 10)
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/gxargparse.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/gxargparse.git
+Homepage: https://github.com/common-workflow-language/gxargparse
+
+Package: gxargparse
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: Automated CWL and Galaxy XML generation for Python tools that use argparse and click
+ This project aims to be a drop-in replacement for argparse which allows
+ generating Galaxy XML and CWL Tools. It is quite literally a drop-in
+ replacement. You (or the upstream tool author) can use argparse
+ completely as normal "import argparse". When this package is installed,
+ with its argparse module ahead of the system argparse, argparse2tool
+ will capture all argparse function calls, and process them specially.
+ This information captured in this process is used to produce Galaxy Tool
+ XML when it's requested with the --generate_galaxy_xml flag, or CWLTools
+ when requested with the --generate_cwl_tool flag.
diff --git a/debian/copyright b/debian/copyright
new file mode 100644
index 0000000..3416315
--- /dev/null
+++ b/debian/copyright
@@ -0,0 +1,11 @@
+Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: <pkg>
+Source: <path_to_download>
+
+Files: *
+Copyright: © 20xx-20yy <upstream>
+License: <license>
+
+Files: debian/*
+Copyright: © 2016 maintainername <maintainer at e.mail>
+License: <license>
diff --git a/debian/doc-base b/debian/doc-base
new file mode 100644
index 0000000..5e7e1d4
--- /dev/null
+++ b/debian/doc-base
@@ -0,0 +1,20 @@
+Document: <pkg>
+Title: <title for this doc>
+Author: <author of this doc>
+Abstract: <if you have no better clue the short and
+ long description from debian/control might fit here as well>
+Section: Science/{Biology,Medicine} # see /usr/share/doc/doc-base/doc-base.txt.gz "2.3.3. The `section' field"
+
+# pick one of the below options
+Format: Text
+Files: /usr/share/doc/<pkg>/<pkg>.txt.gz
+
+Format: html
+Index: /usr/share/doc/<pkg>/html/index.html
+Files: /usr/share/doc/<pkg>/html/*
+
+Format: pdf
+Files: /usr/share/doc/<pkg>/<pkg>.pdf.gz
+
+Format: postscript
+Files: /usr/share/doc/<pkg>/<pkg>.ps.gz
diff --git a/debian/get-orig-source b/debian/get-orig-source
new file mode 100755
index 0000000..2aa782f
--- /dev/null
+++ b/debian/get-orig-source
@@ -0,0 +1,55 @@
+#!/bin/sh
+# if you need to repack for whatever reason you can
+# use this script via uscan or directly
+#
+# FIXME: currently the code is not conform to Debian Policy
+#        http://www.debian.org/doc/debian-policy/ch-source.html
+#        "get-orig-source (optional)"
+#        This target may be invoked in any directory, ...
+# --> currently it is assumed the script is called in the
+#     source directory featuring the debian/ dir
+
+# Excluding files and repacking archives
+# --------------------------------------
+# See also mk-origtargz(1) and the --repack option to uscan(1), which
+# honor the Files-Excluded list in debian/copyright.
+# That may be all you need, especially since the repack option can be set
+# in debian/watch.
+
+# For an example how to fetch source from sourceforge SVN see
+#   https://anonscm.debian.org/git/debian-med/kmer-tools.git
+
+COMPRESS=xz
+
+set -e
+NAME=`dpkg-parsechangelog | awk '/^Source/ { print $2 }'`
+
+if ! echo $@ | grep -q upstream-version ; then
+    VERSION=`dpkg-parsechangelog | awk '/^Version:/ { print $2 }' | sed 's/\([0-9\.]\+\)-[0-9]\+$/\1/'`
+    uscan --force-download
+else
+    VERSION=`echo $@ | sed "s?^.*--upstream-version \([0-9.]\+\) .*${NAME}.*?\1?"`
+    if echo "$VERSION" | grep -q "upstream-version" ; then
+        echo "Unable to parse version number"
+        exit
+    fi
+fi
+
+TARDIR=${NAME}-${VERSION}
+mkdir -p ../tarballs
+cd ../tarballs
+# need to clean up the tarballs dir first because upstream tarball might
+# contain a directory with unpredictable name
+rm -rf *
+tar -xaf ../${TARDIR}.tar.gz
+
+UPSTREAMTARDIR=`find . -mindepth 1 -maxdepth 1 -type d`
+if [ "${UPSTREAMTARDIR}" != "${TARDIR}" ] ; then
+    mv "${UPSTREAMTARDIR}" "${TARDIR}"
+fi
+
+# Remove useless binaries
+# ... do something which needs to be done ...
+
+GZIP="--best --no-name" tar --owner=root --group=root --mode=a+rX -caf "$NAME"_"$VERSION".orig.tar.${COMPRESS} "${TARDIR}"
+rm -rf ${TARDIR}
diff --git a/debian/rules b/debian/rules
new file mode 100755
index 0000000..1ef14d9
--- /dev/null
+++ b/debian/rules
@@ -0,0 +1,26 @@
+#!/usr/bin/make -f
+
+# DH_VERBOSE := 1
+export LC_ALL=C.UTF-8
+
+# some helpful variables - uncomment them if needed
+# shamelessly stolen from http://jmtd.net/log/awk/
+#DEBVERS        := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
+#VERSION        := $(shell echo '$(DEBVERS)' | sed -e 's/^[0-9]*://' -e 's/-.*//')
+#DEBFLAVOR      := $(shell dpkg-parsechangelog | awk '/^Distribution:/ {print $$2}')
+#DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
+#DEBIAN_BRANCH  := $(shell awk 'BEGIN{FS="[= ]+"} /debian-branch/ {print $$2}' debian/gbp.conf)
+#GIT_TAG        := $(subst ~,_,$(VERSION))
+
+# alternatively to manually set those variables, you can
+#  include /usr/share/dpkg/default.mk
+# and use what is set there.
+
+# for hardening you might like to uncomment this:
+# export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+%:
+	dh $@
+
+#get-orig-source:
+#	. debian/get-orig-source
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
diff --git a/debian/upstream/metadata b/debian/upstream/metadata
new file mode 100644
index 0000000..d8b5812
--- /dev/null
+++ b/debian/upstream/metadata
@@ -0,0 +1,12 @@
+Reference:
+  Author: 
+  Title: 
+  Journal: 
+  Year: 
+  Volume: 
+  Number: 
+  Pages: 
+  DOI: 
+  PMID:
+  URL: 
+  eprint: 
diff --git a/debian/watch b/debian/watch
new file mode 100644
index 0000000..dad3d81
--- /dev/null
+++ b/debian/watch
@@ -0,0 +1,3 @@
+version=4
+https://github.com/common-workflow-language/gxargparse/releases .*/archive/v*(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
+

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/gxargparse.git



More information about the debian-med-commit mailing list